Bug 82786 - Very bad IDE behavior with SiS648 chipset
Very bad IDE behavior with SiS648 chipset
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-01-26 03:09 EST by Keith Briscoe
Modified: 2008-01-17 12:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Keith Briscoe 2003-01-26 03:09:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030109

Description of problem:
I have an ASUS P4S8X motherboard which has the SiS648 chipset.  I have had some
VERY odd problems and have narrowed it down to the SiS 648 ATA 133 controller (I
have swapped power supplies, hard drives, and motherboards--changing
motherboards is the only thing that fixes the bug)  In all tests, I'm using an
ATA/66+ cable (the one with denser wires).

When I set aa ATA/66 drive as the master on the primary IDE, the installer will
see the drive, attempt to install, and sometimes even succeed.  When it fails,
it is always during heavy activity, and the drive sounds like it powers down and
back up again.  When it's spinning again, Linux is locked up.

When I set an ATA/100 drive as the master on the primary IDE, the installer will
not even see that any drive is present.  I have to go back to Red Hat 7.3 before
I can get a version that sees the drive and will install.  RedHat 7.3 repeatedly
complains that the drive is busy, but if you click "ignore" enough times, you
can install, with no apparent errors.  (it will claim to be busy even if the
hard drive is the only IDE drive in the system--I tested this with a SCSI CD)

I included a link to a kernel-development message regarding recent changes to
the SiS IDE code in the kernel.  I don't follow or even pretend to understand
this, but if this is an ongoing problem, it may be a helpful starting point.

I have more information of the disk geometry, hdparm information, etc, if you
need it.  I'm not sure what can be different between an ATA/66 drive and an
ATA/100 drive which would cause different results, but this may be a clue.

The ATA/66 drive is a Seagate St330630A.  The ATA/100 drive is a Maxtor 6Y060L0.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Use ATA/100 drive on Asus P4S8X motherboard
2. Run any Red Hat Linux setup 8.0 to current beta
3. Fail to see hard drive

Actual Results:  Hard drive is not present, according to the installer.  Fdisk
complains that /dev/hda is not present, and indeed there is nothing there in the

Expected Results:  Installer should see the hard drive, fdisk should partition it.

Additional info:

I understand that this may just be a "compatibility issue".  The failure is so
ungraceful, however, that I thought you should know about it.  Also, shouldn't
there be a way to force the kernel to use some sort of "generic" IDE support?  I
was able to get absolutely ancient versions of Windows working on this system.
Comment 1 Bugzilla owner 2004-09-30 11:40:27 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.